using System;
using CCM;

namespace CCM.Seat
{
    public class SimpleButton2 : CCM.Comp
    {
	// Coops
	public VFS OUT = new VFS(2);
	bool[] pressed = new bool[1];

	bool on = false;

	[Event] public void setPressed( [Range(1,1)] byte button,bool val) 
	{
	    pressed[0] = val;
	    EventOccured();
	}

	protected override void Run() 
	{
	    if( on == pressed[0] )
		return;

	    if (pressed[0]) 
	    {
		OUT.acquireCooperation();
		OUT.Cont = -1.0F; 
		OUT.State = 1;
	    } else {
		OUT.Cont = -1.0F; 
		OUT.State = 0;
		OUT.releaseCooperation();
	    }
	    on = pressed[0];
	}

    }
}
