using System;
using CCM;

namespace CCM.Library {

    public class Switch : Comp {
        VFS OUT = new VFS(2);
        bool on, check;

        public Switch( bool check ) {
            on = false;
            this.check = check;
            OUT.init();
        }

        [Event] public void setState( bool on ) {
            this.on = on;
            EventOccured();
        }

        protected override void Run() {
            // check for invalid state
            if( check && OUT.StateFb > 1 )
                Common.log( this, "invalid StateFB!" );

            if( on )
                OUT.State = 1;
            else
                OUT.State = 0;
        }
    }
}

